> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apten.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Check DNC Status

> Checks if a phone number is in the DNC list



## OpenAPI

````yaml get /dnc/{phone_number}
openapi: 3.0.1
info:
  title: AttentPublicAPI
  version: '2024-05-17T21:09:13Z'
servers:
  - url: https://api.attent.app/v1
security: []
paths:
  /dnc/{phone_number}:
    get:
      description: Checks if a phone number is in the DNC list
      parameters:
        - name: phone_number
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/phoneProperty'
          description: The phone number to check
      responses:
        '200':
          description: Phone number found in DNC list
          content:
            application/json:
              schema:
                type: object
                properties:
                  phone:
                    type: string
                    description: The phone number in the DNC list
                  createdAt:
                    type: string
                    format: date-time
                    description: >-
                      The date and time when the phone number was added to the
                      DNC list
                example:
                  phone: '+15555555555'
                  createdAt: '2024-05-17T21:09:13Z'
        '403':
          $ref: '#/components/responses/403'
        '404':
          description: Phone number not found in DNC list
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                example:
                  message: Phone number not found in DNC list
        '500':
          $ref: '#/components/responses/500'
      security:
        - api_key: []
components:
  schemas:
    phoneProperty:
      type: string
      description: >
        The phone number must begin with an area code (+) and can contain
        digits, spaces, parentheses, and hyphens (e.g. +1 (555) 555-5555)
  responses:
    '403':
      description: Forbidden API key
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            example:
              message: Forbidden
    '500':
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
            example:
              message: Internal Server Error
  securitySchemes:
    api_key:
      type: apiKey
      name: x-api-key
      in: header

````